#include once "fltk-c.bi"

'test of:
' Fl_Image          http://www.fltk.org/doc-1.3/classFl__Image.html
' Fl_BMP_Image      http://www.fltk.org/doc-1.3/classFl__BMP__Image.html
' Fl_PNG_Image      http://www.fltk.org/doc-1.3/classFl__PNG__Image.html
' Fl_JPEG_Image     http://www.fltk.org/doc-1.3/classFl__JPEG__Image.html
' Fl_WidgetSetImage http://www.fltk.org/doc-1.3/classFl__Widget.html#aff29d81e64b617158472f38d2cac186e

dim as Fl_BMP_Image  ptr bmp = Fl_BMP_ImageNew("media/renata.bmp")
dim as Fl_PNG_Image  ptr png = Fl_PNG_ImageNew("media/renata.png")
dim as Fl_GIF_Image  ptr gif = Fl_GIF_ImageNew("media/renata.gif")
dim as Fl_JPEG_Image ptr jpg = Fl_JPEG_ImageNew("media/renata.jpg")

dim as Fl_Box ptr box
dim as Fl_Window ptr win = Fl_WindowNew(562,148,"BMP PNG GIF JPEG extends Fl_Image")
box = Fl_BoxNew( 10,10,128,128) : Fl_WidgetSetImage box,bmp
box = Fl_BoxNew(148,10,128,128) : Fl_WidgetSetImage box,png
box = Fl_BoxNew(286,10,128,128) : Fl_WidgetSetImage box,gif
box = Fl_BoxNew(424,10,128,128) : Fl_WidgetSetImage box,jpg


Fl_windowShow win
Fl_Run
